cloudstack-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From d...@apache.org
Subject [1/2] git commit: updated refs/heads/4.5 to b084515
Date Mon, 08 Dec 2014 15:47:43 GMT
Repository: cloudstack
Updated Branches:
  refs/heads/4.5 ad59970d3 -> b0845150f


CLOUDSTACK-7959: fixed 'qemu-img convert' compat issue


Project: http://git-wip-us.apache.org/repos/asf/cloudstack/repo
Commit: http://git-wip-us.apache.org/repos/asf/cloudstack/commit/3f8d0dd4
Tree: http://git-wip-us.apache.org/repos/asf/cloudstack/tree/3f8d0dd4
Diff: http://git-wip-us.apache.org/repos/asf/cloudstack/diff/3f8d0dd4

Branch: refs/heads/4.5
Commit: 3f8d0dd4871932b874ce615f54380f25539551d6
Parents: 98d75b0
Author: Will Stevens <wstevens@cloudops.com>
Authored: Tue Dec 2 18:24:16 2014 -0500
Committer: Will Stevens <wstevens@cloudops.com>
Committed: Tue Dec 2 18:24:16 2014 -0500

----------------------------------------------------------------------
 tools/appliance/build.sh | 7 +++++++
 1 file changed, 7 insertions(+)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/cloudstack/blob/3f8d0dd4/tools/appliance/build.sh
----------------------------------------------------------------------
diff --git a/tools/appliance/build.sh b/tools/appliance/build.sh
index 51abb38..a2b5957 100755
--- a/tools/appliance/build.sh
+++ b/tools/appliance/build.sh
@@ -90,7 +90,14 @@ set -e
 
 # Export for KVM
 vboxmanage internalcommands converttoraw -format vdi "$hdd_path" raw.img
+set +e
 qemu-img convert -o compat=0.10 -f raw -c -O qcow2 raw.img $appliance-$branch-kvm.qcow2
+qemuresult=$?
+set -e
+if [ ${qemuresult} != 0 ]; then
+  log INFO "'qemu-img convert' failed, trying without compat option"
+  qemu-img convert -f raw -c -O qcow2 raw.img $appliance-$branch-kvm.qcow2
+fi
 rm raw.img
 bzip2 $appliance-$branch-kvm.qcow2
 echo "$appliance exported for KVM: dist/$appliance-$branch-kvm.qcow2.bz2"


Mime
View raw message